Verification

SDO

 

Optimize collection dates using Strike Date Optimization algorithms. Analyze historical transaction data to determine the best days for processing recurring collections and maximize collection success rates.

Request

Request to get the best date for collections

Path

POST /sdo

Request Body

{
  "records": [{
    "customer": {
      "reference": "CLN240919000001",
      "id_type": "SOUTH_AFRICAN_ID",
      "id_number": "8007014800087",
    },
  }]
}

Request Parameters

Field
RequiredType
Description
Example
*.customer.referenceYString(35)Reference to identify a specific customerCLN240919000001
*.customer.id_numberYString(13)SA ID number8007014800087

Response Body

{
    "status": true,
    "results": [{
      "days": {
        "28": "8",
        "30": "88",
        "1": "4",
      },
      "customer": {
        "reference": "CLN240919000001",
        "id_number": "8007014800087",
      },
      "warning": null,
      "error": null
    }, ...]
}

Response Parameters

Field
Type
Description
Example
*.daysObjectObject containing optimal collection days with their corresponding success probability percentages{"28": "8", "30": "88", "1": "4"}
*.customer.referenceString(35)Reference to identify a specific customerCLN240919000001
*.customer.id_numberString(13)Required field for individuals8007014800087
*.warningStringAny warning messages associated with this verificationnull
*.errorStringAny error messages that occurred during verificationnull